EC_INTERACT_GET_COMPLETIONS(3)

NAME
ec_interact_get_completions - Get completion matches as an array of strings.

SYNOPSIS
#include <ecoli/interact.h>

ssize_t ec_interact_get_completions(
    /*
     * The completions, as returned by ec_complete().
     */
    const struct ec_comp   *cmpl,
    /*
     * The pointer where the matches array will be returned.
     */
    char *                **matches_out,
    enum ec_comp_type       type_mask
);

RETURN VALUE

The size of the array on success (>= 0), or -1 on error.

SEE ALSO

ec_interact_print_helps(3), ec_interact_print_error_helps(3), ec_interact_print_cols(3), ec_interact_set_help(3), ec_interact_append_chars(3), ec_interact_set_desc(3), ec_interact_get_callback(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_get_helps(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.